{% extends 'dashboard/flip_analyzer/_layout/layout_flip_analyzer.html.twig' %}

{% form_theme closingCostForm _self %}

{% block _closing_cost_inputValue_row %}
    <div class="form-group">
        {% if form.vars.cache_key == '_closing_cost_inputValue_collection' %}
            <button type="button" class="add_item_link btn btn-sm btn-info"
                    data-collection-holder-class="items">Add item
            </button>

            <ul class="items" data-prototype="{{ form_widget(form.vars.prototype)|e('html_attr') }}">
                {{- form_label(form) -}}
                {{- form_widget(form) -}}
            </ul>
        {% else %}
            {{- form_label(form) -}}
            {{- form_errors(form) -}}
            {{- form_widget(form) -}}
            {{- form_help(form) -}}
        {% endif %}
    </div>
{% endblock %}

{% block content_flip_analyzer %}

    <div class="col-lg-8 py-0 my-0">
        {% embed 'dashboard/_component/flash_v2.html.twig' %}{% endembed %}
    </div>

    <div class="row p-4">
        <div class="col-12">
            <div class="timer-data border-bottom-dashed pb-4">
                <h4 class="mt-0 text-dark font-weight-bold mb-2">Closing Costs</h4>
            </div>
        </div>
    </div>

    <div class="row px-3">
        <div class="col-12">
            {{ form_start(closingCostForm) }}
            {{ form_rest(closingCostForm) }}
            <button type="submit" class="btn btn-primary">Save</button>
            {{ form_end(closingCostForm) }}
        </div>
    </div><!--end row-->
{% endblock %}

{% block javascripts %}
    {{ parent() }}

    <script>
        function addFormToCollection($collectionHolderClass) {
            var $collectionHolder = $('.' + $collectionHolderClass);
            var prototype = $collectionHolder.data('prototype');
            var index = $collectionHolder.data('index');

            if (index == null)
                index = 1;

            var newForm = prototype;

            newForm = newForm.replace(/__name__/g, index);
            $collectionHolder.data('index', index + 1);

            var $newFormLi = $('<li></li>').append(newForm);

            $collectionHolder.append($newFormLi);

            var script = document.createElement("script");

            var formType = 'closing_cost_inputValue_' + index;
            var closingCostItemType = 'closing_cost_inputValue_' + index + '_type';
            var closingCostItemValue = 'closing_cost_inputValue_' + index + '_amount';

            var scriptCode = `{% include 'dashboard/add_form_collection.html.twig' with {'formType': 'FORM_TYPE_VAR', 'closingCostItemType': 'CLOSING_COST_ITEM_TYPE_VAR', 'closingCostItemValue': 'CLOSING_COST_ITEM_VALUE_VAR'} %}`;

            scriptCode = scriptCode.replaceAll('FORM_TYPE_VAR', formType);
            scriptCode = scriptCode.replaceAll('CLOSING_COST_ITEM_TYPE_VAR', closingCostItemType);
            scriptCode = scriptCode.replaceAll('CLOSING_COST_ITEM_VALUE_VAR', closingCostItemValue);

            script.append(scriptCode);
            $collectionHolder.append(script);
        }

        $(document).ready(function () {
            var $tagsCollectionHolder = $('ul.items');

            $tagsCollectionHolder.data('index', $tagsCollectionHolder.find('input').length);

            $('body').on('click', '.add_item_link', function (e) {
                var $collectionHolderClass = $(e.currentTarget).data('collectionHolderClass');
                addFormToCollection($collectionHolderClass);
            })
        });
    </script>
{% endblock %}